package com.aopcloud.beam.app.Interceptor;

import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


@Component
public class LogcatInterceptor implements HandlerInterceptor {


    /**
     * 请求前
     *
     * @param request
     * @param response
     * @param handler  controllerHandler 对象
     * @return
     * @throws Exception
     */
    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        return false;
    }

    /**
     * 请求后 , 无抛出异常时
     *
     * @param request
     * @param response
     * @param handler
     * @param modelAndView
     * @throws Exception
     */
    @Override
    public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView) throws Exception {

    }
    /**
     * 请求后,无论是否抛出异常 , 均执行
     * 注意： controlleradvice的执行是在该方法之前的.对exception进行处理过. 该方法接收不到该异常
     *  会拦截所有的controller,包括spring提供的controller , 如baseerrorcontroller 异常处理handler
     * @param request
     * @param response
     * @param handler
     * @param ex
     * @throws Exception
     */
    @Override
    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {

    }
}
