package com.aopcloud.beam.app.Interceptor;

import com.alibaba.fastjson.JSON;
import com.aopcloud.beam.app.api.member.entity.Member;
import com.aopcloud.beam.app.api.member.service.impl.MemberServiceImpl;
import com.aopcloud.beam.app.annotion.LoginRequired;
import  com.aopcloud.beam.app.core.AppException;;
import com.aopcloud.beam.app.core.Result;
import com.aopcloud.beam.app.core.ResultGenerator;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Component;
import org.springframework.web.method.HandlerMethod;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.lang.reflect.Method;


@Component
public class UserLoginInterceptor implements HandlerInterceptor {

    @Resource
    private MemberServiceImpl userService;
    public static UserLoginInterceptor articlesReceiver; //关键2

    @PostConstruct //关键3
    public void init() {
        articlesReceiver = this;
    }

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        String token = "";
        if (StringUtils.isBlank(token)) {
            // 2.从headers中获取
            token = request.getHeader("token");
        }
        if (StringUtils.isBlank(token)) {
            // 3.从请求参数获取
            token = request.getParameter("token");
        }
        if (!(handler instanceof HandlerMethod)) {
            return true;
        }
        HandlerMethod handlerMethod = (HandlerMethod) handler;
        Method method = handlerMethod.getMethod();
        if (method.isAnnotationPresent(LoginRequired.class)) {
            if (!StringUtils.isEmpty(token)) {
                Member user = articlesReceiver.userService.getMemberByToken(token);
                if (user == null || !user.getToken().equals(token)) {
                    throw new AppException("token 无效");
                } else {
                    return true;
                }
            }
            throw new AppException("token 无效");
        }
        return true;
    }


    private void result(HttpServletResponse response, Result result) {
        response.setCharacterEncoding("UTF-8");
        response.setContentType("application/json; charset=utf-8");
        response.setStatus(200);
        PrintWriter out = null;
        try {
            out = response.getWriter();
            out.append(JSON.toJSONString(result));
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            if (out != null)
                out.close();
        }
    }

    private String getTokenFromCookie(HttpServletRequest request) {
        String token = null;
        Cookie[] cookies = request.getCookies();
        int len = null == cookies ? 0 : cookies.length;
        if (len > 0) {
            for (Cookie cookie : cookies) {
                if (cookie.getName().equals("token")) {
                    token = cookie.getValue();
                    break;
                }
            }
        }
        return token;
    }
}