package com.aopcloud.beam.app.api.ad.controller;


import com.aopcloud.beam.app.api.ad.entity.AdEntity;
import com.aopcloud.beam.app.api.ad.service.impl.AdItemServiceImpl;
import com.aopcloud.beam.app.core.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 广告表 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@RestController
@RequestMapping("/ad")
public class AdItemController {
    @Resource
    private AdItemServiceImpl itemService;


    @PostMapping("/create")
    public Result create(@RequestBody AdEntity entity) {
        return itemService.create(entity);
    }

    @GetMapping("/list")
    public Result list() {
        return itemService.getAll();
    }


    @PostMapping("/delete")
    public Result delete(int id) {
        return itemService.delete(id);
    }
}
