package com.aopcloud.beam.app.api.ad.service.impl;

import com.aopcloud.beam.app.api.ad.entity.AdEntity;
import com.aopcloud.beam.app.api.ad.entity.AdItem;
import com.aopcloud.beam.app.api.ad.mapper.AdItemMapper;
import com.aopcloud.beam.app.api.ad.service.IAdItemService;
import com.aopcloud.beam.app.core.Result;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.aopcloud.beam.app.core.Result;
import com.aopcloud.beam.app.core.ResultGenerator;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 广告表 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@Service
public class AdItemServiceImpl extends ServiceImpl<AdItemMapper, AdItem> implements IAdItemService {
    public Result create(AdEntity adEntity) {
        AdItem item = new AdItem();
        item.setAdId(adEntity.adId);
        item.setActionType(adEntity.eventType);
        item.setActionEvent(adEntity.event);
        item.setImgOssFile(adEntity.getImg());
        item.setCreateTime(LocalDateTime.now());
        item.setUpdateTime(LocalDateTime.now());
        save(item);
        return ResultGenerator.genSuccessResult(item);
    }

    public Result delete(int id) {
        removeById(id);
        return ResultGenerator.genSuccessResult();
    }

    public Result getAll() {
        return ResultGenerator.genSuccessResult(list());
    }

    public List<AdItem> getById(int id) {
        QueryWrapper queryWrapper = new QueryWrapper();
        queryWrapper.eq("ad_id",id);
        return list(queryWrapper);
    }


}

