package com.aopcloud.beam.app.api.ad.service.impl;

import com.aopcloud.beam.app.api.ad.entity.AdEntity;
import com.aopcloud.beam.app.api.ad.entity.AdItem;
import com.aopcloud.beam.app.api.ad.entity.Item;
import com.aopcloud.beam.app.api.ad.mapper.ItemMapper;
import com.aopcloud.beam.app.api.ad.service.IItemService;
import com.aopcloud.beam.app.core.Result;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.aopcloud.beam.app.core.Result;
import com.aopcloud.beam.app.core.ResultGenerator;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * Banner item 表格 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-02-21
 */
@Service
public class ItemServiceImpl extends ServiceImpl<ItemMapper, Item> implements IItemService {

    public Result create(AdEntity adEntity) {
        System.out.println(adEntity.img);
        Item item = new Item();
        item.setAdId(adEntity.adId);
        item.setActionType(adEntity.eventType);
        item.setActionEvent(adEntity.event);
        item.setOssFileName(adEntity.getImg());
        item.setCreateTime(LocalDateTime.now());
        item.setUpdateTime(LocalDateTime.now());
        save(item);
        return ResultGenerator.genSuccessResult(item);
    }

    public Result delete(int id) {
        removeById(id);
        return ResultGenerator.genSuccessResult();
    }

    public Result getAll() {
        return ResultGenerator.genSuccessResult(list());
    }


    public AdItemServiceImpl adItemService;
    public List<AdItem> getAdList(int i) {
        QueryWrapper queryWrapper=  new QueryWrapper<AdItem>().eq("ad_id",i);
        return adItemService.list(queryWrapper);
    }
}
