package com.aopcloud.beam.app.api.app.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 首页货币
 * </p>
 *
 * @author Enoch
 * @since 2021-03-05
 */
@TableName("sly_home_coin")
public class HomeCoin implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 货币ID
     */
    private Integer coinId;

    /**
     * icon
     */
    private String imgOssFile;

    /**
     * 加载
     */
    private BigDecimal price;

    /**
     * 奖励
     */
    private String reward;

    /**
     * 平均出块时间
     */
    private Integer averageTime;

    /**
     * 上一次出块时间
     */
    private LocalDateTime lastTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getCoinId() {
        return coinId;
    }

    public void setCoinId(Integer coinId) {
        this.coinId = coinId;
    }
    public String getImgOssFile() {
        return imgOssFile;
    }

    public void setImgOssFile(String imgOssFile) {
        this.imgOssFile = imgOssFile;
    }
    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }
    public String getReward() {
        return reward;
    }

    public void setReward(String reward) {
        this.reward = reward;
    }
    public Integer getAverageTime() {
        return averageTime;
    }

    public void setAverageTime(Integer averageTime) {
        this.averageTime = averageTime;
    }
    public LocalDateTime getLastTime() {
        return lastTime;
    }

    public void setLastTime(LocalDateTime lastTime) {
        this.lastTime = lastTime;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "HomeCoin{" +
            "id=" + id +
            ", coinId=" + coinId +
            ", imgOssFile=" + imgOssFile +
            ", price=" + price +
            ", reward=" + reward +
            ", averageTime=" + averageTime +
            ", lastTime=" + lastTime +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
