package com.aopcloud.beam.app.api.app.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 首页广播
 * </p>
 *
 * @author Enoch
 * @since 2021-03-05
 */
@TableName("sly_home_notice")
public class HomeNotice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 入库唯一编号
     */
    private String noticeSn;


    /**
     * 货币ID
     */
    private Integer coinId;

    private String coinName;

    /**
     * 收益
     */
    private BigDecimal profit;

    /**
     * 广播方、发布方
     */
    private String noticeSource;

    private String remarks;


    /**
     * 广播时间、通知时间
     */
    private long noticeTimestamp;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCoinId() {
        return coinId;
    }

    public void setCoinId(Integer coinId) {
        this.coinId = coinId;
    }

    public BigDecimal getProfit() {
        return profit;
    }

    public void setProfit(BigDecimal profit) {
        this.profit = profit;
    }

    public String getNoticeSource() {
        return noticeSource;
    }

    public void setNoticeSource(String noticeSource) {
        this.noticeSource = noticeSource;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public long getNoticeTimestamp() {
        return noticeTimestamp;
    }

    public void setNoticeTimestamp(long noticeTimestamp) {
        this.noticeTimestamp = noticeTimestamp;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getCoinName() {
        return coinName;
    }

    public void setCoinName(String coinName) {
        this.coinName = coinName;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getNoticeSn() {
        return noticeSn;
    }

    public void setNoticeSn(String noticeSn) {
        this.noticeSn = noticeSn;
    }

    @Override
    public String toString() {
        return "HomeNotice{" +
                "id=" + id +
                ", noticeSn='" + noticeSn + '\'' +
                ", coinId=" + coinId +
                ", coinName='" + coinName + '\'' +
                ", profit=" + profit +
                ", noticeSource='" + noticeSource + '\'' +
                ", remarks='" + remarks + '\'' +
                ", noticeTimestamp=" + noticeTimestamp +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
