package com.aopcloud.beam.app.api.coin.controller;


import com.aopcloud.beam.app.api.coin.entity.CoinPackage;
import com.aopcloud.beam.app.api.coin.service.impl.CoinPackageServiceImpl;
import com.aopcloud.beam.app.core.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;

/**
 * <p>
 * 算力包 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-03-01
 */
@RestController
@RequestMapping("/coin/package")
public class CoinPackageController {
    @Resource
    private CoinPackageServiceImpl mCoinServiceImpl;

    @PostMapping("/create")
    public Result create(@RequestBody @Valid CoinPackage entity) {
        return mCoinServiceImpl.create(entity);
    }

    @PostMapping("/edit")
    public Result edit(@RequestBody  CoinPackage entity) {
        return mCoinServiceImpl.edit(entity);
    }

    @PostMapping("/delete")
    public Result delete(@RequestBody int id) {
        return mCoinServiceImpl.delete(id);
    }


    @GetMapping("/list")
    public Result list(@RequestParam(required = false ,defaultValue = "0") int coinId) {
        return mCoinServiceImpl.getList(coinId);
    }
}
