package com.aopcloud.beam.app.api.coin.entity;

import com.aopcloud.beam.app.util.AliyunOSSUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 货币类型表
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@TableName("sly_coin")
public class Coin implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 英文名称
     */
    private String enName;

    /**
     * 中文名称
     */
    private String cnName;

    /**
     * img name
     */
    @JsonIgnore
    private String imgOssFile;

    /**
     * 奖励
     */
    private BigDecimal reward;

    /**
     * 平均出块时间
     */
    private Integer averageDuration;


    /**
     *最新币价
     */
    private BigDecimal currentPrice;

    /**
     *最新出块时间戳
     */
    private Long latestTime;


    /**
     * 创建时间
     */
    private LocalDateTime createTime;


    /**
     * 更新时间	
     */
    private LocalDateTime updateTime;



    @TableField(exist = false)
    public String icon ;



    public String getIcon() {
        return AliyunOSSUtil.getInstance().getFileUrl(imgOssFile);
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }
    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }
    public String getImgOssFile() {
        return imgOssFile;
    }

    public void setImgOssFile(String imgOssFile) {
        this.imgOssFile = imgOssFile;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public BigDecimal getCurrentPrice() {
        return currentPrice;
    }

    public void setCurrentPrice(BigDecimal currentPrice) {
        this.currentPrice = currentPrice;
    }

    public Long getLatestTime() {
        return latestTime;
    }

    public void setLatestTime(Long latestTime) {
        this.latestTime = latestTime;
    }

    public BigDecimal getReward() {
        return reward;
    }

    public void setReward(BigDecimal reward) {
        this.reward = reward;
    }

    public Integer getAverageDuration() {
        return averageDuration;
    }

    public void setAverageDuration(Integer averageDuration) {
        this.averageDuration = averageDuration;
    }

    @Override
    public String toString() {
        return "Coin{" +
                "id=" + id +
                ", enName='" + enName + '\'' +
                ", cnName='" + cnName + '\'' +
                ", imgOssFile='" + imgOssFile + '\'' +
                ", reward='" + reward + '\'' +
                ", averageDuration=" + averageDuration +
                ", currentPrice=" + currentPrice +
                ", latestTime=" + latestTime +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", icon='" + icon + '\'' +
                '}';
    }
}
