package com.aopcloud.beam.app.api.coin.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import javax.validation.constraints.*;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 算力包
 * </p>
 *
 * @author Enoch
 * @since 2021-03-01
 */
@TableName("sly_coin_package")
public class CoinPackage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

//    /**
//     * 货币ID
//     */
//    @NotNull(message="货币ID不能为空！")
//    private Long coinId;
//
    /**
     * 单位时间
     */
    @NotNull(message="算力包单位时间必须大于等于1分钟！")
    private Integer duration;

    /**
     * 包名称
     */
    @NotBlank(message = "算力包名称不能为空")
    private String title;

    /**
     * 单价
     */
    @DecimalMin(value = "1", message = "算力包单价必须大0")
    @NotNull(message = "算力包单价必须大0")
    private BigDecimal price;

    /**
     * 算力包 单位数量
     */
    @NotNull(message = "算力包单位数量不能为空")
    private Integer number;

    /**
     * 算力包单位ID
     */
    @NotNull(message = "算力包名单位ID不能为空")
    private Long packageUnitId;

    /**
     * 算力包单位名称
     */
    @NotBlank(message = "算力包单位名称不能为空")
    private String packageUnitName;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Long getPackageUnitId() {
        return packageUnitId;
    }

    public void setPackageUnitId(Long packageUnitId) {
        this.packageUnitId = packageUnitId;
    }

    public String getPackageUnitName() {
        return packageUnitName;
    }

    public void setPackageUnitName(String packageUnitName) {
        this.packageUnitName = packageUnitName;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    @Override
    public String toString() {
        return "CoinPackage{" +
                "id=" + id +
                ", duration=" + duration +
                ", title='" + title + '\'' +
                ", price=" + price +
                ", number=" + number +
                ", packageUnitId=" + packageUnitId +
                ", packageUnitName='" + packageUnitName + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
