package com.aopcloud.beam.app.api.member.entity;

import com.aopcloud.beam.app.util.AliyunOSSUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 会员货币地址表
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@TableName("sly_member_coin_address")
public class MemberCoinAddress implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 货币ID
     */
    private Integer coinId;

    /**
     * 用户ID
     */
    private Integer memberId;

    /**
     * 钱包地址
     */
    private String address;

    /**
     * coin 描述
     */
    private String description;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间	
     */
    private LocalDateTime updateTime;


    /**
     * 英文名称
     */
    @TableField(exist = false)
    private String enName;

    /**
     * 中文名称
     */
    @TableField(exist = false)
    private String cnName;

    /**
     * img name
     */
    @JsonIgnore
    @TableField(exist = false)
    private String imgOssFile;

    @TableField(exist = false)
    public String icon ;

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    public String getIcon() {
        return AliyunOSSUtil.getInstance().getFileUrl(imgOssFile);
    }


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Integer getCoinId() {
        return coinId;
    }

    public void setCoinId(Integer coinId) {
        this.coinId = coinId;
    }
    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "MemberCoinAddress{" +
            "id=" + id +
            ", coinId=" + coinId +
            ", memberId=" + memberId +
            ", address=" + address +
            ", description=" + description +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
