package com.aopcloud.beam.app.api.member.entity;

import com.aopcloud.beam.app.util.AliyunOSSUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 会员挖矿记录表
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@TableName("sly_member_coin_record")
public class MemberCoinRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 货币ID
     */
    private Integer coinId;

    /**
     * 用户ID
     */
    private Long memberId;

    /**
     * 钱包地址
     */
    private String address;

    /**
     * 收益
     */
    private BigDecimal profit;

    /**
     * 记录编号
     */
    private String recordSn;

    /**
     * 订单编号
     */
    private String orderSn;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间	
     */
    private LocalDateTime updateTime;


    /**
     * 英文名称
     */
    @TableField(exist = false)
    private String enName;

    /**
     * 中文名称
     */
    @TableField(exist = false)
    private String cnName;

    /**
     * img name
     */
    @JsonIgnore
    @TableField(exist = false)
    private String imgOssFile;

    @TableField(exist = false)
    public String icon ;


    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    public String getImgOssFile() {
        return imgOssFile;
    }

    public void setImgOssFile(String imgOssFile) {
        this.imgOssFile = imgOssFile;
    }

    public String getIcon() {
        return AliyunOSSUtil.getInstance().getFileUrl(imgOssFile);
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Integer getCoinId() {
        return coinId;
    }

    public void setCoinId(Integer coinId) {
        this.coinId = coinId;
    }
    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
    public BigDecimal getProfit() {
        return profit;
    }

    public void setProfit(BigDecimal profit) {
        this.profit = profit;
    }
    public String getRecordSn() {
        return recordSn;
    }

    public void setRecordSn(String recordSn) {
        this.recordSn = recordSn;
    }
    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }
    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "MemberCoinRecord{" +
            "id=" + id +
            ", coinId=" + coinId +
            ", memberId=" + memberId +
            ", address=" + address +
            ", profit=" + profit +
            ", recordSn=" + recordSn +
            ", orderSn=" + orderSn +
            ", remarks=" + remarks +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
