package com.aopcloud.beam.app.api.member.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 会员统计信息
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@TableName("sly_member_statistics_info")
public class MemberStatisticsInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private Long memberId;

    /**
     * 累计消费金额
     */
    private BigDecimal consumeAmount;

    /**
     * 订单数量
     */
    private Integer orderCount;

    /**
     * 登录次数
     */
    private Integer loginCount;

    /**
     * 钱包地址数量
     */
    private Integer coinAddressCount;

    /**
     * 最后一次下订单时间
     */
    private LocalDateTime recentOrderTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间	
     */
    private LocalDateTime updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }
    public BigDecimal getConsumeAmount() {
        return consumeAmount;
    }

    public void setConsumeAmount(BigDecimal consumeAmount) {
        this.consumeAmount = consumeAmount;
    }
    public Integer getOrderCount() {
        return orderCount;
    }

    public void setOrderCount(Integer orderCount) {
        this.orderCount = orderCount;
    }
    public Integer getLoginCount() {
        return loginCount;
    }

    public void setLoginCount(Integer loginCount) {
        this.loginCount = loginCount;
    }
    public Integer getCoinAddressCount() {
        return coinAddressCount;
    }

    public void setCoinAddressCount(Integer coinAddressCount) {
        this.coinAddressCount = coinAddressCount;
    }
    public LocalDateTime getRecentOrderTime() {
        return recentOrderTime;
    }

    public void setRecentOrderTime(LocalDateTime recentOrderTime) {
        this.recentOrderTime = recentOrderTime;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "MemberStatisticsInfo{" +
            "id=" + id +
            ", memberId=" + memberId +
            ", consumeAmount=" + consumeAmount +
            ", orderCount=" + orderCount +
            ", loginCount=" + loginCount +
            ", coinAddressCount=" + coinAddressCount +
            ", recentOrderTime=" + recentOrderTime +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
