package com.aopcloud.beam.app.api.member.mapper;

import com.aopcloud.beam.app.api.member.entity.MemberCoinAddress;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 会员货币地址表 Mapper 接口
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
public interface MemberCoinAddressMapper extends BaseMapper<MemberCoinAddress> {


    /**
     * @return
     */
    @Select("SELECT distinct sly_member_coin_address.*,sly_coin.`cn_name` AS cnName ,sly_coin.`en_name` AS enName ,sly_coin.`img_oss_file` AS imgOssFile FROM sly_member_coin_address,sly_member, sly_coin WHERE sly_member_coin_address.coin_id=sly_coin.id AND sly_member_coin_address.member_id= #{memberId} ")
    List<MemberCoinAddress> getAddressList(@Param("memberId")long memberId);

    /**
     * @return
     */
    @Select("SELECT distinct sly_member_coin_address.*,sly_coin.`cn_name` AS cnName ,sly_coin.`en_name` AS enName ,sly_coin.`img_oss_file` AS imgOssFile FROM sly_member_coin_address,sly_member, sly_coin WHERE sly_member_coin_address.coin_id= #{coinId}   AND sly_coin.id= #{coinId} AND sly_member_coin_address.member_id= #{memberId} ")
    List<MemberCoinAddress> getAddressListByCoinId(@Param("memberId")long memberId, @Param("coinId")long coinId);


}
