package com.aopcloud.beam.app.api.member.service.impl;

import com.aopcloud.beam.app.api.member.entity.AddCoinAddress;
import com.aopcloud.beam.app.api.member.entity.Member;
import com.aopcloud.beam.app.api.member.entity.MemberCoinAddress;
import com.aopcloud.beam.app.api.member.mapper.MemberCoinAddressMapper;
import com.aopcloud.beam.app.api.member.service.IMemberCoinAddressService;
import  com.aopcloud.beam.app.core.AppException;;
import com.aopcloud.beam.app.core.ResultGenerator;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;
import com.aopcloud.beam.app.core.Result;
import com.aopcloud.beam.app.core.ResultGenerator;
import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * 会员货币地址表 服务实现类
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@Service
public class MemberCoinAddressServiceImpl extends ServiceImpl<MemberCoinAddressMapper, MemberCoinAddress> implements IMemberCoinAddressService {


    @Resource
    private MemberServiceImpl memberService;

    public Result getList(String token,int coinId) {
        Member member = memberService.getMemberByToken(token);
        if (coinId>0){
            return ResultGenerator.genSuccessResult(baseMapper.getAddressListByCoinId(member.getId(),coinId));
        }else {
            return ResultGenerator.genSuccessResult(baseMapper.getAddressList(member.getId()));
        }
    }


    public Result delete(Integer id) {
        removeById(id);
        return ResultGenerator.genSuccessResult();

    }

    public Result create(Map<String, Object> params) {
        String token = (String) params.get("token");
        Integer coinId = (Integer) params.get("coinId");
        Integer memberId = (Integer) params.get("memberId");
        if (StringUtils.isEmpty(token)) {
            throw new AppException("地址不能为空");
        }
        if (coinId < 1) {
            throw new AppException("货币类型不能为空");
        }
        if (memberId < 1) {
            throw new AppException("地址不能为空");
        }
        MemberCoinAddress address = new MemberCoinAddress();
        address.setAddress(token);
        address.setCoinId(coinId);
        address.setMemberId(memberId);
        address.setDescription("");
        save(address);
        return ResultGenerator.genSuccessResult();
    }
}
