package com.aopcloud.beam.app.api.notify;


import com.alibaba.fastjson.JSON;
import com.aopcloud.beam.app.api.order.entity.Order;
import com.aopcloud.beam.app.api.order.entity.OrderPayRecords;
import com.aopcloud.beam.app.api.order.service.impl.OrderPayRecordsServiceImpl;
import com.aopcloud.beam.app.api.order.service.impl.OrderServiceImpl;
import com.aopcloud.beam.app.delay.DelayQueueManager;
import com.aopcloud.beam.app.delay.DelayTask;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.apache.commons.lang.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.time.ZoneOffset;
import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("/notify")
public class NotifyController {

    @Resource
    public OrderPayRecordsServiceImpl payRecordsService;

    @Resource
    public OrderServiceImpl orderService;


    @PostMapping("/pay/yx")
    public String notifyByPay(@RequestParam Map params) {
        System.out.println("支付回调：" + JSON.toJSONString(params));

        String prepayid = params.get("id").toString();

        if (StringUtils.isEmpty(prepayid)) {
            return "success";
        }
        OrderPayRecords orderPayRecords = payRecordsService.getOne(new QueryWrapper<OrderPayRecords>()
                .eq("prepayid", prepayid));
        if (orderPayRecords != null) {
            LocalDateTime localDateTime = LocalDateTime.now();
            orderPayRecords.setPaymentTime(localDateTime);
            orderPayRecords.setStatus(1);
            Order order = orderService.getById(orderPayRecords.getOrderId());
            System.out.println("支付回调 order：" + JSON.toJSONString(order));

            if (order != null) {
                order.setStatus(1);
                order.setPaymentTime(localDateTime);
            }
            orderService.updateById(order);
            Long second = order.getLeaseEndTime().toEpochSecond(ZoneOffset.of("+8"));
            //任务等待时间 15s
            long expire = second - System.currentTimeMillis() / 1000;
            DelayTask task = new DelayTask<Order>(Math.toIntExact(order.getId()), order, expire);
            DelayQueueManager.getQueueManager().put(task);
        }
        return "success";
    }

    @PostMapping("/block/produce")
    public String notifyByBlock(@RequestParam Map params) {
        System.out.println("支付回调：" + JSON.toJSONString(params));
        return "success";
    }
}
