package com.aopcloud.beam.app.api.order.controller;


import com.aopcloud.beam.app.api.order.entity.OrderCreateEntity;
import com.aopcloud.beam.app.api.order.service.impl.OrderServiceImpl;
import com.aopcloud.beam.app.annotion.LoginRequired;
import com.aopcloud.beam.app.core.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * 订单表 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-02-24
 */
@RestController
@RequestMapping("/order")
public class OrderController {


    @Resource
    public OrderServiceImpl orderService;


    @GetMapping("/basicInfo")
    public Result getBasicInfo(){
        return orderService.getBasicInfo();
    }

    @LoginRequired
    @PostMapping("/create")
    public Result create(@RequestHeader String token,@RequestBody OrderCreateEntity object){
        return orderService.create(token,object);
    }

    @LoginRequired
    @PostMapping("/payInfo")
    public Result pay(@RequestHeader String token, @RequestBody Map<String,String> params){
        return orderService.pay(token,params.get("orderSn"),params.get("payChannel"));
    }


    @LoginRequired
    @GetMapping("/list")
    public Result list(@RequestHeader String token){
        return orderService.list(token);
    }

    @LoginRequired
    @GetMapping("/payState")
    public Result getPayState(@RequestParam String orderSn){
        return orderService.getPayState(orderSn);
    }
    @LoginRequired
    @GetMapping("/detail")
    public Result getOrderDetail(@RequestParam String orderSn){
        return orderService.getOrderDetail(orderSn);
    }
}
