package com.aopcloud.beam.app.api.order.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 订单支付记录
 * </p>
 *
 * @author Enoch
 * @since 2021-03-06
 */
@TableName("sly_order_pay_records")
public class OrderPayRecords implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 预支付订单号
     */
    private String prepayid;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单号
     */
    private String orderSn;

    private Integer status;

    /**
     * 支付方式：0->未支付；1->支付宝；2->微信
     */
    private Integer paymentChannel;

    /**
     * 支付标题
     */
    private String paymentSubject;

    /**
     * 应付金额（实际支付金额）
     */
    private BigDecimal paymentAmount;

    /**
     * 扩展字段	
     */
    private String extendsParam;

    /**
     * 交易开始时间
     */
    private LocalDateTime prepayStartTime;

    /**
     * 交易结束时间
     */
    private LocalDateTime prepayExpire;

    /**
     * 交易备注
     */
    private String remarks;

    /**
     * 支付时间
     */
    private LocalDateTime paymentTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 操作时间	
     */
    private LocalDateTime updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getPrepayid() {
        return prepayid;
    }

    public void setPrepayid(String prepayid) {
        this.prepayid = prepayid;
    }
    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }
    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(Integer paymentChannel) {
        this.paymentChannel = paymentChannel;
    }
    public String getPaymentSubject() {
        return paymentSubject;
    }

    public void setPaymentSubject(String paymentSubject) {
        this.paymentSubject = paymentSubject;
    }
    public BigDecimal getPaymentAmount() {
        return paymentAmount;
    }

    public void setPaymentAmount(BigDecimal paymentAmount) {
        this.paymentAmount = paymentAmount;
    }
    public String getExtendsParam() {
        return extendsParam;
    }

    public void setExtendsParam(String extendsParam) {
        this.extendsParam = extendsParam;
    }
    public LocalDateTime getPrepayStartTime() {
        return prepayStartTime;
    }

    public void setPrepayStartTime(LocalDateTime prepayStartTime) {
        this.prepayStartTime = prepayStartTime;
    }
    public LocalDateTime getPrepayExpire() {
        return prepayExpire;
    }

    public void setPrepayExpire(LocalDateTime prepayExpire) {
        this.prepayExpire = prepayExpire;
    }
    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
    public LocalDateTime getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(LocalDateTime paymentTime) {
        this.paymentTime = paymentTime;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "OrderPayRecords{" +
            "id=" + id +
            ", prepayid=" + prepayid +
            ", orderId=" + orderId +
            ", orderSn=" + orderSn +
            ", paymentChannel=" + paymentChannel +
            ", paymentSubject=" + paymentSubject +
            ", paymentAmount=" + paymentAmount +
            ", extendsParam=" + extendsParam +
            ", prepayStartTime=" + prepayStartTime +
            ", prepayExpire=" + prepayExpire +
            ", remarks=" + remarks +
            ", paymentTime=" + paymentTime +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
