package com.aopcloud.beam.app.api.user.controller;


import com.alibaba.fastjson.JSON;
import com.aopcloud.beam.app.api.user.entity.UpdateUserEntity;
import com.aopcloud.beam.app.api.user.entity.UserActionBean;
import com.aopcloud.beam.app.api.user.service.impl.BeamUserServiceImpl;
import com.aopcloud.beam.app.core.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 用户表 前端控制器
 * </p>
 *
 * @author Enoch
 * @since 2021-01-28
 */
@RestController
@RequestMapping("/v1/user")
public class BeamUserController {

    @Autowired
    BeamUserServiceImpl beamUserService;

    @PostMapping("/register")
    public Result register(@RequestBody @Valid UserActionBean register) {
        return beamUserService.register(register);
    }

    @PostMapping("/login")
    public Result login(@RequestBody UserActionBean register) {
        return beamUserService.login(register);
    }

    @PostMapping("/logout")
    public Result logout(@RequestHeader @NotBlank String token) {
        return beamUserService.logout(token);
    }

    @PostMapping("/edit")
    public Result edit(@RequestHeader @NotBlank String token, @RequestBody @Valid UpdateUserEntity user) {
        return beamUserService.edit(token, user);
    }

    @GetMapping("/info")
    public Result getInfo(@RequestHeader @NotBlank String token) {
        return beamUserService.getInfo(token);
    }

    @PostMapping("/forgePassword")
    public Result getPassword(@RequestBody @Valid UserActionBean actionBean) {
        return beamUserService.getPassword(actionBean);
    }

    @PostMapping("/updatePassword")
    public Result updatePassword(@RequestBody  @Valid UserActionBean actionBean) {
        System.out.println(JSON.toJSONString(actionBean));
        return beamUserService.updatePassword( actionBean);
    }


    @GetMapping("/history")
    public Result history(@RequestHeader @NotBlank String token) {
        return beamUserService.history(token);
    }



}
