package com.aopcloud.beam.app.common;

import java.util.Date;

public class AccessLog {

    private Long id;

    /**
     * 接口名
     */
    private String api;

    /**
     * 接口方法
     */
    private String apiMethod;

    /**
     * 接口入参
     */
    private String apiArgs;

    /**
     * 请求耗时（毫秒单位）
     */
    private Integer apiTimeConsuming;

    /**
     * 接口返回code
     */
    private Integer returnCode;

    /**
     * 接口返回信息
     */
    private String returnMessage;

    /**
     * 接口返回时间
     */
    private Date returnTime;

    /**
     * HTTP STARTS CODE
     */
    private String returnHttpCode;

    /**
     * 访问时间
     */
    private Date reqTime;

    /**
     * 请求客户端IP
     */
    private String reqClientIp;

    /**
     * 访问的操作系统
     */
    private String reqOs;

    /**
     * 设备型号
     */
    private String reqDevice;

    /**
     * 请求时的userAgent
     */
    private String reqUa;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getApi() {
        return api;
    }

    public void setApi(String api) {
        this.api = api;
    }

    public String getApiMethod() {
        return apiMethod;
    }

    public void setApiMethod(String apiMethod) {
        this.apiMethod = apiMethod;
    }

    public String getApiArgs() {
        return apiArgs;
    }

    public void setApiArgs(String apiArgs) {
        this.apiArgs = apiArgs;
    }

    public Integer getApiTimeConsuming() {
        return apiTimeConsuming;
    }

    public void setApiTimeConsuming(Integer apiTimeConsuming) {
        this.apiTimeConsuming = apiTimeConsuming;
    }

    public Integer getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(Integer returnCode) {
        this.returnCode = returnCode;
    }

    public String getReturnMessage() {
        return returnMessage;
    }

    public void setReturnMessage(String returnMessage) {
        this.returnMessage = returnMessage;
    }

    public Date getReturnTime() {
        return returnTime;
    }

    public void setReturnTime(Date returnTime) {
        this.returnTime = returnTime;
    }

    public String getReturnHttpCode() {
        return returnHttpCode;
    }

    public void setReturnHttpCode(String returnHttpCode) {
        this.returnHttpCode = returnHttpCode;
    }

    public Date getReqTime() {
        return reqTime;
    }

    public void setReqTime(Date reqTime) {
        this.reqTime = reqTime;
    }

    public String getReqClientIp() {
        return reqClientIp;
    }

    public void setReqClientIp(String reqClientIp) {
        this.reqClientIp = reqClientIp;
    }

    public String getReqOs() {
        return reqOs;
    }

    public void setReqOs(String reqOs) {
        this.reqOs = reqOs;
    }

    public String getReqDevice() {
        return reqDevice;
    }

    public void setReqDevice(String reqDevice) {
        this.reqDevice = reqDevice;
    }

    public String getReqUa() {
        return reqUa;
    }

    public void setReqUa(String reqUa) {
        this.reqUa = reqUa;
    }
}
