package com.aopcloud.beam.app.common;

public class RequestContext {

    private final static  ThreadLocal<String> CURRENT_TOKEN;

    static {
        CURRENT_TOKEN = new ThreadLocal<>();
        CURRENT_TOKEN.set(String.valueOf(System.currentTimeMillis()));
    }


    public static void setCurrentToken(String currentToken){
        CURRENT_TOKEN.set(currentToken);
    }

    public static String getToken() {
        return CURRENT_TOKEN.get();
    }

    public static void clear(){
        CURRENT_TOKEN.remove();
    }
}
