package com.aopcloud.beam.app.configurer;

import com.alibaba.fastjson.JSON;
import com.aopcloud.beam.app.common.AccessLog;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.core.MethodParameter;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.converter.HttpMessageConverter;
import org.springframework.http.server.ServerHttpRequest;
import org.springframework.http.server.ServerHttpResponse;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.servlet.mvc.method.annotation.ResponseBodyAdvice;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;


@ControllerAdvice
public class ResponseHandler implements ResponseBodyAdvice<Object> {

    private final Logger log = LoggerFactory.getLogger(this.getClass());

    @Override
    public boolean supports(MethodParameter returnType, Class<? extends HttpMessageConverter<?>> converterType) {
        return true;
    }


    @Override
    public Object beforeBodyWrite(Object body, MethodParameter returnType, MediaType selectedContentType, Class<? extends HttpMessageConverter<?>> selectedConverterType, ServerHttpRequest request, ServerHttpResponse response) {
        AccessLog accessLog = new AccessLog();


        //获得所有头信息的name
        HttpHeaders header = request.getHeaders();
        //输出所有的头信息的名字
        Map<String, Object> headers = new HashMap();
        for (String key : header.keySet()) {
            headers.put(key, header.get(key));
        }

        Map<String, String> param = new HashMap();
        Map<String, Object> params = new HashMap();
        params.put("header", headers);
        params.put("query", request.getURI().getQuery());
        params.put("params", request.getURI().getScheme());
        //当前时间
        long currentTime = System.currentTimeMillis();
        //请求开始时间
//        long time = Long.valueOf(request.getAttribute(LOGGER_SEND_TIME).toString());


        accessLog.setApi(request.getURI().getPath());
        accessLog.setApiArgs(JSON.toJSONString(params));
        accessLog.setApiMethod(request.getMethod().name());
        //请求时间
        accessLog.setReqTime(new Date());
        //
        accessLog.setReqClientIp("");
        //设置请求时间差
        accessLog.setApiTimeConsuming((int) (currentTime - 1));
        //设置返回时间
        accessLog.setReturnTime(new Date(currentTime));


        log.info("Method：{} ", request.getMethod().name());
        log.info("接口：{} 入参：{} 返回：{}", request.getURI().getPath(),"","");
//        log.info("接口：{} 入参：{} 返回：{}", request.getURI().getPath(), JSON.toJSON(params), JSON.toJSON(body));
        return body;
    }


}
